import { createRoute } from "@tanstack/react-router";
import { z } from "zod";
import { rootRoute } from "./root";
import ConnectorsPage from "../pages/connectors";

export const connectorsRoute = createRoute({
  getParentRoute: () => rootRoute,
  path: "/connectors",
  component: ConnectorsPage,
  validateSearch: z.object({
    id: z.number().optional(),
  }),
});
